summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdeps/ConsoleKit2/ConsoleKit2.SlackBuild4
-rw-r--r--deps/ConsoleKit2/doinst.sh27
-rw-r--r--deps/ConsoleKit2/doinst.sh.gzbin353 -> 0 bytes
-rwxr-xr-xdeps/mesa/mesa.SlackBuild7
-rwxr-xr-xdeps/xorg-server/xorg-server.SlackBuild2
5 files changed, 33 insertions, 7 deletions
diff --git a/deps/ConsoleKit2/ConsoleKit2.SlackBuild b/deps/ConsoleKit2/ConsoleKit2.SlackBuild
index b1712ac..c57eea6 100755
--- a/deps/ConsoleKit2/ConsoleKit2.SlackBuild
+++ b/deps/ConsoleKit2/ConsoleKit2.SlackBuild
@@ -25,7 +25,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=ConsoleKit2
-VERSION=${VERSION:-1.2.0}
+VERSION=${VERSION:-1.2.1}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
@@ -145,7 +145,7 @@ fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/deps/ConsoleKit2/doinst.sh b/deps/ConsoleKit2/doinst.sh
new file mode 100644
index 0000000..c13a36e
--- /dev/null
+++ b/deps/ConsoleKit2/doinst.sh
@@ -0,0 +1,27 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+config etc/ConsoleKit/seats.d/00-primary.seat.new
+preserve_perms etc/rc.d/rc.consolekit.new
+
diff --git a/deps/ConsoleKit2/doinst.sh.gz b/deps/ConsoleKit2/doinst.sh.gz
deleted file mode 100644
index f981ef1..0000000
--- a/deps/ConsoleKit2/doinst.sh.gz
+++ /dev/null
Binary files differ
diff --git a/deps/mesa/mesa.SlackBuild b/deps/mesa/mesa.SlackBuild
index 15b135b..7496b47 100755
--- a/deps/mesa/mesa.SlackBuild
+++ b/deps/mesa/mesa.SlackBuild
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=mesa
-VERSION=${VERSION:-17.2.7}
+VERSION=${VERSION:-17.3.1}
DEMOVERS=${DEMOVERS:-8.3.0}
BUILD=${BUILD:-1}
@@ -88,9 +88,8 @@ if /bin/ls $CWD/patches/*.patch 1> /dev/null 2> /dev/null ; then
done
fi
-# Don't worry if Mako is not present:
-#sed -i "s,AX_CHECK_PYTHON_MAKO_MODULE(\$PYTHON_MAKO_REQUIRED),,g" configure.ac
-cat $CWD/mesa.no.mako.diff | patch -p1 --verbose || exit 1
+## Don't worry if Mako is not present:
+#cat $CWD/mesa.no.mako.diff | patch -p1 --verbose || exit 1
# This doesn't fully do the trick. See below. ;-)
#./autogen.sh
diff --git a/deps/xorg-server/xorg-server.SlackBuild b/deps/xorg-server/xorg-server.SlackBuild
index 85b0c8e..f68c1c2 100755
--- a/deps/xorg-server/xorg-server.SlackBuild
+++ b/deps/xorg-server/xorg-server.SlackBuild
@@ -27,7 +27,7 @@
# Xnest, Xephyr, Xvfb, Xwayland.
PKGNAM=xorg-server
-VERSION=${VERSION:-1.19.5}
+VERSION=${VERSION:-1.19.6}
BUILD=${BUILD:-1}
CWD=$(pwd)